# How To Create A Wallet

## Goal

Create a `keosd` wallet.

## Before you begin

* Install the currently supported version of `cleos`
* Understand the following:
  * What is an [account](https://docs.cyberway.io/users/glossary#account);
  * What is a [public](https://docs.cyberway.io/users/glossary#public-key) and [private](https://docs.cyberway.io/users/glossary#private-key) key pair.

## Steps

Create a wallet and save the password to a file:

```bash
$ cleos wallet create --file password.pwd
```

This should produce similar output as below. Note the wallet is named default if no name is provided.

```bash
Creating wallet: default
Save password to use in the future to unlock this wallet.
Without password imported keys will not be retrievable.
saving password to password.pwd
```

Alternatively, you can name a wallet with `-n` option:

```bash
$ cleos wallet create -n named_wallet -f passwd
```

You should see something like the output below:

```bash
Creating wallet: named_wallet
Save password to use in the future to unlock this wallet.
Without password imported keys will not be retrievable.
saving password to passwd
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/how_to_guides/create_wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
